System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the different data types that the and controls can validate. When you specify a data type for validation control and the input control being validated passes validation, the value of the input control can be parsed to the specified data type.

Specifies the validation data types used by the and controls.

- Field
  System.Web.UI.WebControls.ValidationDataType To be added

  A monetary data type. The value is treated as a . However, currency and grouping symbols are still allowed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationDataType To be added

  A date data type. Only numeric dates are allowed. The time portion cannot be specified.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationDataType To be added

  A double precision floating point number data type. The value is treated as a .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationDataType To be added

  A 32-bit signed integer data type. The value is treated as a .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidationDataType To be added

  A string data type. The value is treated as a .

  1.0.5000.0
  2.0.0.0